//======================================================
//  
// Evaporatör -Kondenser modellemesi
// YTO giriş sınıfı
// Dr. Turhan Coban
// EGE Üniversitesi Mühendislik Fakultesi, Makina Bölümü
// turhan.coban@ege.edu.tr
// =====================================================
// Bu model Türkoğlu için geliştirilmiştir 

import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.io.*;
import java.awt.*;
import java.util.*;
import javax.swing.table.*;


public class cf extends JApplet implements ItemListener,ActionListener,Serializable
{
  Container c;
  Color bg;
  final static String say1 = "create function - fonksiyon oluştur";
  final static String say2 = "plot function - fonksiyonu çiz     ";
  final static String say3 = "bisection root finding - ikiye bölme kök bulma ";
  final static String say4 = "yerine koyma   ";
  final static String say5 = "   ";
  final static String say6 = "   ";
  JPanel panel1;
  JPanel girisPaneli;	  
  JToggleButton l1[]=new JToggleButton[6];           //
    public void init()
    {         
      c = getContentPane();
      //bg=c.getBackground();
      panel1 = new JPanel();
      panel1.setBackground(bg);
      girisPaneli=new JPanel();
      girisPaneli.setLayout(new GridLayout(3,2));    

      l1[0]=new JToggleButton(say1);
      l1[1]=new JToggleButton(say2);
      l1[2]=new JToggleButton(say3);
      l1[3]=new JToggleButton(say4);
      l1[4]=new JToggleButton(say5);
      l1[5]=new JToggleButton(say6);
      girisPaneli.add(l1[0]);
      girisPaneli.add(l1[3]);
      girisPaneli.add(l1[1]);
      girisPaneli.add(l1[4]);
      girisPaneli.add(l1[2]);           
      girisPaneli.add(l1[5]); 
      panel1.add(girisPaneli,BorderLayout.SOUTH);
    l1[0].setBackground(bg);
    l1[1].setBackground(bg);
    l1[2].setBackground(bg);
    l1[3].setBackground(bg);
    l1[4].setBackground(bg);
    l1[5].setBackground(bg);
    l1[0].addActionListener(this);
    l1[1].addActionListener(this);
    l1[2].addActionListener(this);
    l1[3].addActionListener(this);
    l1[4].addActionListener(this);
    l1[5].addActionListener(this);
    c.add(panel1);    
    }

    public void itemStateChanged(ItemEvent e)
    {     
	 repaint();
    }
    
    public void actionPerformed(ActionEvent e)
    {
    //Double valXmin=new Double(inputXmin.getText());
    if(e.getSource()==l1[0])
    {ce1 xx=new ce1();}
    else if(e.getSource()==l1[1])
    {ce3 xx=new ce3();}
    else if(e.getSource()==l1[2])
    {ce2 xx=new ce2();}
    else if(e.getSource()==l1[3])
    {ce4 xx=new ce4();}
    else if(e.getSource()==l1[4])
    {

    }
    else if(e.getSource()==l1[5])
    {

    }       
   }  

                
    public static void main(String s[])
    {
        //main program
	    JFrame f = new JFrame("gerçek zaman fonksiyon tanım örneği");
        f.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        });
        JApplet applet = new cf();
        f.getContentPane().add("Center", applet);
        applet.init();
        f.pack();
        f.setSize(new Dimension(1000,800));
        f.setVisible(true);
    }    
 }

